package com.test.basd.smartjunkcleaner.helps

import android.content.Context
import android.util.AttributeSet
import com.noober.background.view.BLTextView
import com.test.basd.smartjunkcleaner.helps.KotlinExt.decode


class AESTextView @JvmOverloads constructor(
    context: Context, attrs: AttributeSet? = null
) : BLTextView(context, attrs) {

    override fun setText(text: CharSequence?, type: BufferType?) {
        super.setText(text?.toString()?.run { decode().takeIf { it != this } } ?: text, type)
    }
}